# WOK
TKWOK
WOKBuilder

# WOKBuilder_Tool Class Reference

`#include <WOKBuilder_Tool.hxx>`

Inheritance diagram for WOKBuilder_Tool:

[legend]

## Public Member Functions

Standard_EXPORT void | SetOutputDir (const Handle(WOKUtils_Path)&apath)
Standard_EXPORT Handle_WOKUtils_Path | OutputDir () const
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aname)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
virtual Standard_EXPORT WOKBuilder_BuildStatus | Execute ()=0
Standard_EXPORT Handle_WOKBuilder_HSequenceOfEntity | Produces ()
Standard_EXPORT void | SetProduction (const Handle(WOKBuilder_HSequenceOfEntity)&aproduction)
Standard_EXPORT Handle_TCollection_HAsciiString | EvalToolParameter (const Handle(TCollection_HAsciiString)&aparamname) const
Standard_EXPORT Handle_TCollection_HAsciiString | EvalToolParameter (const Standard_CString aparamname) const
Standard_EXPORT Handle_TCollection_HAsciiString | EvalToolTemplate (const Handle(TCollection_HAsciiString)&aparamname) const
Standard_EXPORT Handle_TCollection_HAsciiString | EvalToolTemplate (const Standard_CString aparamname) const
virtual Standard_EXPORT void | Load ()=0
Standard_EXPORT Standard_Boolean | IsLoaded () const
Standard_EXPORT void | SetLoaded ()
Standard_EXPORT void | UnsetLoaded ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKBuilder_Tool (const Handle(TCollection_HAsciiString)&aname, const WOKUtils_Param &params)
const WOKUtils_Param & | Params () const
Standard_EXPORT void | SetParams (const WOKUtils_Param &params)

## Private Attributes

Handle_TCollection_HAsciiString | myname
WOKUtils_Param | myparams
Handle_WOKBuilder_HSequenceOfEntity | myproduction
Handle_WOKUtils_Path | outputdir
Standard_Boolean | myisloaded

## Constructor & Destructor Documentation

Standard_EXPORT WOKBuilder_Tool::WOKBuilder_Tool | ( | const Handle(TCollection_HAsciiString)& | aname,
|  | const WOKUtils_Param & | params
| ) | `[protected]`

## Member Function Documentation

Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_Tool::EvalToolParameter | ( | const Standard_CString | aparamname | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_Tool::EvalToolParameter | ( | const Handle(TCollection_HAsciiString)& | aparamname | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_Tool::EvalToolTemplate | ( | const Standard_CString | aparamname | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_Tool::EvalToolTemplate | ( | const Handle(TCollection_HAsciiString)& | aparamname | ) | const

virtual Standard_EXPORT WOKBuilder_BuildStatus WOKBuilder_Tool::Execute | ( |  | ) | `[pure virtual]`

| Implemented in WOKBuilder_ArchiveExtract, WOKBuilder_Archiver, WOKBuilder_CodeGenerator, WOKBuilder_Command, WOKBuilder_Compiler, WOKBuilder_Linker, WOKBuilder_MSExtractor, WOKBuilder_MSTool, WOKBuilder_MSTranslator, WOKBuilder_WNTCollector, WOKOBJS_OSSG, and WOKOrbix_IDLCompiler.

Standard_EXPORT const WOKBuilder_Tool::Handle | ( | Standard_Type |  | ) | const

Reimplemented in WOKBuilder_ArchiveExtract, WOKBuilder_Archiver, WOKBuilder_CodeGenerator, WOKBuilder_Command, WOKBuilder_Compiler, WOKBuilder_DLLinker, WOKBuilder_ExecutableLinker, WOKBuilder_EXELinker, WOKBuilder_ImportLibrarian, WOKBuilder_Linker, WOKBuilder_MSClientExtractor, WOKBuilder_MSEngineExtractor, WOKBuilder_MSExtractor, WOKBuilder_MSHeaderExtractor, WOKBuilder_MSJiniExtractor, WOKBuilder_MSServerExtractor, WOKBuilder_MSTemplateExtractor, WOKBuilder_MSTool, WOKBuilder_MSTranslator, WOKBuilder_SharedLinker, WOKBuilder_StaticLibrarian, WOKBuilder_ToolInProcess, WOKBuilder_ToolInShell, WOKBuilder_WNTCollector, WOKBuilder_WNTLibrarian, WOKBuilder_WNTLinker, WOKDFLT_MSDFLTExtractor, WOKOBJS_MSSchExtractor, WOKOBJS_OSSG, WOKOrbix_IDLCompiler, and WOKOrbix_IDLTranslator.

Standard_EXPORT Standard_Boolean WOKBuilder_Tool::IsLoaded | ( |  | ) | const

virtual Standard_EXPORT void WOKBuilder_Tool::Load | ( |  | ) | `[pure virtual]`

| Implemented in WOKBuilder_ArchiveExtract, WOKBuilder_Archiver, WOKBuilder_Command, WOKBuilder_Linker, WOKBuilder_MSExtractor, WOKBuilder_MSTranslator, WOKBuilder_ToolInProcess, WOKBuilder_ToolInShell, WOKOBJS_OSSG, and WOKOrbix_IDLTranslator.

Standard_EXPORT Handle_TCollection_HAsciiString WOKBuilder_Tool::Name | ( |  | ) | const

Standard_EXPORT Handle_WOKUtils_Path WOKBuilder_Tool::OutputDir | ( |  | ) | const

const WOKUtils_Param & WOKBuilder_Tool::Params | ( |  | ) | const`[inline, protected]`

Standard_EXPORT Handle_WOKBuilder_HSequenceOfEntity WOKBuilder_Tool::Produces | ( |  | ) |

Standard_EXPORT void WOKBuilder_Tool::SetLoaded | ( |  | ) |

Standard_EXPORT void WOKBuilder_Tool::SetName | ( | const Handle(TCollection_HAsciiString)& | aname | ) |

Standard_EXPORT void WOKBuilder_Tool::SetOutputDir | ( | const Handle(WOKUtils_Path)& | apath | ) |

Standard_EXPORT void WOKBuilder_Tool::SetParams | ( | const WOKUtils_Param & | params | ) | `[protected]`

Standard_EXPORT void WOKBuilder_Tool::SetProduction | ( | const Handle(WOKBuilder_HSequenceOfEntity)& | aproduction | ) |

Standard_EXPORT void WOKBuilder_Tool::UnsetLoaded | ( |  | ) |

## Field Documentation

Standard_Boolean WOKBuilder_Tool::myisloaded `[private]`

Handle_TCollection_HAsciiString WOKBuilder_Tool::myname `[private]`

| Reimplemented in WOKBuilder_Compiler, WOKBuilder_Linker, WOKOBJS_OSSG, and WOKOrbix_IDLCompiler.

WOKUtils_Param WOKBuilder_Tool::myparams `[private]`

Handle_WOKBuilder_HSequenceOfEntity WOKBuilder_Tool::myproduction `[private]`

Handle_WOKUtils_Path WOKBuilder_Tool::outputdir `[private]`

The documentation for this class was generated from the following files:

- WOKBuilder_Tool.hxx
- WOKBuilder_Tool.lxx